import { FinancialOverlay } from "./FinancialOverlay";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { CategoryFrame } from "./CategoryFrame";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { SeriesView } from "./SeriesView";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { Polyline } from "igniteui-react-core/ES5/Polyline";
import { Polygon } from "igniteui-react-core/ES5/Polygon";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
export declare class PriceChannelOverlay extends FinancialOverlay {
    constructor();
    pe: number;
    protected io(a: any, b: string, c: any, d: any): void;
    dt(a: Rect, b: Rect, c: SeriesView): boolean;
    protected o7(): boolean;
    ol(a: CategoryFrame, b: FinancialSeriesView): void;
    hl(a: boolean, b: SeriesView): void;
    on(a: CategoryFrame, b: FinancialSeriesView): void;
    pd: List$1<number>;
    pc: List$1<number>;
    protected bf(): SeriesView;
    ii(a: SeriesView): void;
    private pb;
    eh(a: Point, b: boolean, c: boolean): number;
    e6(a: Point, b: boolean): number;
    e8(a: Point, b: boolean): number;
    ec(): number;
    static $$p: string[];
    static $t: Type;
}
export declare class PriceChannelBucketCalculator extends FinancialBucketCalculator {
    constructor(a: FinancialSeriesView);
    protected f: PriceChannelOverlayView;
    getBucket(a: number): number[];
    static $t: Type;
}
export declare class PriceChannelOverlayView extends FinancialSeriesView {
    private b3;
    private b8;
    private b9;
    readonly b2: Polygon;
    readonly b6: Polyline;
    readonly b7: Polyline;
    by: PriceChannelOverlay;
    constructor(a: PriceChannelOverlay);
    ap(): void;
    protected bt(): FinancialBucketCalculator;
    bz(): void;
    b0(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: (arg1: number) => number, e: (arg1: number) => number): void;
    private b1;
    private b4;
    private b5;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    static $t: Type;
}
